From 4e0cf750f01b7d62de41224b04d2e9342cc7d296 Mon Sep 17 00:00:00 2001
From: Pragmatic Software <pragma78@gmail.com>
Date: Tue, 28 Jun 2016 12:04:54 -0700
Subject: [PATCH] Replace  with "*BEEP*"; fall-back to codepad if sprunge
 doesn't paste

---
 modules/compiler_vm/languages/_default.pm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/modules/compiler_vm/languages/_default.pm b/modules/compiler_vm/languages/_default.pm
index 6541c504..2d786133 100755
--- a/modules/compiler_vm/languages/_default.pm
+++ b/modules/compiler_vm/languages/_default.pm
@@ -149,6 +149,8 @@ sub postprocess_output {
     substr($boutput, $active_position++, 1) = $c;
   }
   $self->{output} = $boutput;
+
+  $self->{output} =~ s/\007/*BEEP*/g;
 }
 
 sub show_output {
@@ -209,6 +211,10 @@ sub show_output {
 
     my $uri = $self->paste_sprunge($pretty_code);
 
+    if (not $uri =~ m/^http/) {
+      $uri = $self->paste_codepad($pretty_code);
+    }
+
     print "$self->{nick}: $uri\n";
     exit 0;
   }
@@ -532,7 +538,7 @@ sub process_interactive_edit {
       last;
     }
 
-    if($subcode =~ m/^\s*(?:and\s+)?(run|paste)\b/i) {
+    if($subcode =~ m/^\s*(?:and\s+)?(again|run|paste)\b/i) {
       $self->{got_run} = lc $1;
       $self->{only_show} = 0;
       if ($prevchange) {
